Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002502Zandronum[All Projects] Bugpublic2015-10-24 16:442017-05-19 03:33
ReporterMonsterovich 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0002502: Zandronum immediately removes player bodies after death in (team)lms game modes
DescriptionThis issue doesn't happen in SP and fake MP.
Steps To ReproduceFor example:
> teamlms 1
> addbot
> addbot
wait 10 seconds and die
> kill
Your body will disappear.
Attached Files

- Relationships

-  Notes
User avatar (0015492)
Ru5tK1ng (updater)
2016-08-18 16:26

This also is an issue in survival. As of 2.1.2, this is how everything plays out:

In survival/lms modes, when you die, your body goes through roughly half of the death state before it vanishes. If compat_instantrespawn is true, your body immediately disappears when you die thus showing no death frames.

This was recently fixed in bug 406 so that you see your body dying regardless of the compat flag.

When the bodies disappears, that is the instant you are forced into spectating and of course, the only modes you are forced to spec upon death are survival and LMS.

According to Dusk, in order to fix this, a new spectator body has to be spawned rather than forcing the corpse into the spectator body.
User avatar (0017388)
Celebi (reporter)
2017-04-28 18:50

This is probably related to this ticket on morphes.
https://zandronum.com/tracker/view.php?id=2207 [^]
Except that it can happen in fake MP.
User avatar (0017442)
Korshun (reporter)
2017-04-30 14:25

It is fixed in 3.0.
User avatar (0017542)
Zalewa (developer)
2017-05-03 18:04
edited on: 2017-05-03 18:41

As Korshun said, this commit fixes it and this newer commit fixes it properly.

User avatar (0017709)
Combinebobnt (reporter)
2017-05-19 03:03

tested in 3.0 works in (t)lms and survival so its fixed
User avatar (0017710)
Ru5tK1ng (updater)
2017-05-19 03:12

Marking as resolved based off Korshun and bob's findings.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Marcaek Monsterovich Combinebobnt Korshun JC Tenton djskaarj MaxRideWizardLord Ru5tK1ng The Toxic Avenger EnsaladaDeTomate
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-10-24 16:44 Monsterovich New Issue
2016-08-18 16:26 Ru5tK1ng Note Added: 0015492
2016-08-18 16:26 Ru5tK1ng Status new => confirmed
2017-04-28 18:50 Celebi Note Added: 0017388
2017-04-30 14:25 Korshun Note Added: 0017442
2017-05-03 18:04 Zalewa Note Added: 0017542
2017-05-03 18:04 Zalewa Assigned To => Zalewa
2017-05-03 18:04 Zalewa Status confirmed => needs testing
2017-05-03 18:32 Korshun Note Added: 0017544
2017-05-03 18:33 Korshun Note Deleted: 0017544
2017-05-03 18:41 Zalewa Note Edited: 0017542 View Revisions
2017-05-19 03:03 Combinebobnt Note Added: 0017709
2017-05-19 03:12 Ru5tK1ng Note Added: 0017710
2017-05-19 03:12 Ru5tK1ng Status needs testing => resolved
2017-05-19 03:12 Ru5tK1ng Resolution open => fixed
2017-05-19 03:12 Ru5tK1ng Fixed in Version => 3.0
2017-05-19 03:12 Ru5tK1ng Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker